;TITLE:     FROM.LSP
;WRITTEN:   J.RICHARDSON
;FUNCTION:  Mimic R13 Osnap "From" command.  Will work with R12
;EG:        To draw a line from a point 10 units above the centre of a circle.
;            1) Isuue line command
;            2) When propmted for the start point enter (FROM)
;            3) Select base point for from command using CENtre osnap command
;            4) enter relative coordinates of point e.g. @0,10 from the base point.


(defun from ()

  ;save the value of cmdecho
  (setq cmdval (getvar "cmdecho"))
  
  ;set lisp so no commands are echoed
  (setvar "cmdecho" 0)
  
  ;get a base point for the from command
  (setq a (getpoint "from point: "))
  
  ;get a new point at a distance from the base
  (setq b (getpoint a "\ndistance: "))
  
  ;pass this to the command
  (command b)
  
  ;reset cmdecho to it's original setting
  (setvar "cmdecho" cmdval)
)

